Subject: remove flag "-f" in pidof

From: KatolaZ <[email-masked]>
Date: Tue, 19 Mar 2019 07:29:11 +0100

Package: sysvinit-utils
Version: 2.93-8
Severity: normal

I am opening this bug because I think the recently added flag '-f' in
pidof should be removed. It was intended to be used as a way to format
the PIDs according to printf-style formatters, but accepting
unsanitised input from the user is quite dangerous, as shown in
#924792. The proposed solution to #924792 was to let pidof -f
interpret only '%d' and '\n'.

This is at least an unnecessary complication. pidof is already
printing the PIDs as integers (!), and any formatting can (but I would
say should/must) be done downstream by sed/awk/whatever. We can't add
a formatter to any single CLI command :\

Please remove the unneded '-f' flag. Unix is much much better than
that.

KatolaZ